XFcCFLMaker class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcCFLMaker Class Reference

Creates new CFL files at runtime. More...

Collaboration diagram for XFcCFLMaker:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT INT32 | store (const CHAR *aFname, const INT8 *aData, INT32 aDataSize, UINT32 aCompressionFlags)
| Stores a single chunk of data inside the CFL.
XFCIMPORT INT32 | finish (UINT32 aLibraryCompressionFlags)
| Finishes the CFL file, storing the library information.

## Static Public Member Functions

XFCIMPORT XFcCFLMaker * | create (const CHAR *aTargetFileName)
| Starts building a CFL file, returns new XFcCFLMaker object.

## Protected Member Functions

| XFcCFLMaker ()
| ~XFcCFLMaker ()

## Protected Attributes

XFcCFLDirectoryEntry * | mRootDir
| Internal: list of directory entries in the file.
XFcFile * | mFile
| Internal: file pointer.

## Detailed Description

Creates new CFL files at runtime.

Usage:

     XFcCFLMaker *mak = XFcCFLMaker::create(XFCSTR("targetfn.cfl"));
     mak->store(XFCSTR("datafilename.dat"), dataptr, datasize, compressflags);
     mak->finish(compressflags);

See makecfl program generated .ini file for details on compress flags.

## Constructor & Destructor Documentation

XFcCFLMaker::XFcCFLMaker | ( |  | ) | `[protected]`

XFcCFLMaker::~XFcCFLMaker | ( |  | ) | `[protected]`

## Member Function Documentation

XFCIMPORT XFcCFLMaker* XFcCFLMaker::create | ( | const CHAR * | aTargetFileName | ) | `[static]`

Starts building a CFL file, returns new XFcCFLMaker object.

Parameters:

  aTargetFileName | target .cfl file name.

XFCIMPORT INT32 XFcCFLMaker::finish | ( | UINT32 | aLibraryCompressionFlags | ) |

Finishes the CFL file, storing the library information.

Note:
  Also deletes the object.

XFCIMPORT INT32 XFcCFLMaker::store | ( | const CHAR * | aFname,
|  | const INT8 * | aData,
|  | INT32 | aDataSize,
|  | UINT32 | aCompressionFlags
| ) |

Stores a single chunk of data inside the CFL.

Parameters:

  aFname | Filename by which the file can be found inside the CFL.
  aData | Pointer to the raw data to be stored.
  aDataSize | Size, in bytes, of the data to be stored.
  aCompressionFlags | Flags that select the compressor. 0xffff tries to find the best automatically.

## Member Data Documentation

XFcFile* XFcCFLMaker::mFile`[protected]`

| Internal: file pointer.

XFcCFLDirectoryEntry* XFcCFLMaker::mRootDir`[protected]`

| Internal: list of directory entries in the file.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch